# Uses of Interface
org.eclipse.draw2d.TreeSearch

Packages that use TreeSearch
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of TreeSearch in org.eclipse.draw2d

Classes in org.eclipse.draw2d that implement TreeSearch
Modifier and Type
Class
Description
`class`
`ExclusionSearch`
A `TreeSearch` that excludes figures contained in a `Collection`.
`protected static final class`
`Figure.IdentitySearch`
A search which does not filter any figures. since 3.0
Fields in org.eclipse.draw2d declared as TreeSearch
Modifier and Type
Field
Description
`static final TreeSearch`
Figure.IdentitySearch.`INSTANCE`
The singleton instance.
Methods in org.eclipse.draw2d with parameters of type TreeSearch
Modifier and Type
Method
Description
`protected IFigure`
Figure.`findDescendantAtExcluding(int x, int y, TreeSearch search)`
Returns a descendant of this Figure such that the Figure returned contains the point (x, y), and is accepted by the given TreeSearch.
`IFigure`
Figure.`findFigureAt(int x, int y, TreeSearch search)`
`IFigure`
IFigure.`findFigureAt(int x, int y, TreeSearch search)`
Returns the IFigure at the specified location based on the conditional TreeSearch.
`IFigure`
Layer.`findFigureAt(int x, int y, TreeSearch search)`
Overridden to implement transparency.